org.hibernate.search.elasticsearch.analyzer.definition.impl

## Class ChainingElasticsearchAnalysisDefinitionRegistry

- java.lang.Object
- - org.hibernate.search.elasticsearch.analyzer.definition.impl.ForwardingElasticsearchAnalysisDefinitionRegistry
  - - org.hibernate.search.elasticsearch.analyzer.definition.impl.ChainingElasticsearchAnalysisDefinitionRegistry

- All Implemented Interfaces:
    ElasticsearchAnalysisDefinitionRegistry

      public final class ChainingElasticsearchAnalysisDefinitionRegistry
      extends ForwardingElasticsearchAnalysisDefinitionRegistry

  An `ElasticsearchAnalysisDefinitionRegistry` that delegate calls to a "parent" registry when no definition is found.

  Mutating calls (`register` methods) are never delegated to the parent.

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainingElasticsearchAnalysisDefinitionRegistry(ElasticsearchAnalysisDefinitionRegistry self, ElasticsearchAnalysisDefinitionRegistry parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefinition` | `getAnalyzerDefinition(String name)`
    `CharFilterDefinition` | `getCharFilterDefinition(String name)`
    `NormalizerDefinition` | `getNormalizerDefinition(String name)`
    `TokenFilterDefinition` | `getTokenFilterDefinition(String name)`
    `TokenizerDefinition` | `getTokenizerDefinition(String name)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.analyzer.definition.impl.ForwardingElasticsearchAnalysisDefinitionRegistry

      `register, register, register, register, register`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChainingElasticsearchAnalysisDefinitionRegistry

          public ChainingElasticsearchAnalysisDefinitionRegistry(ElasticsearchAnalysisDefinitionRegistry self,
                                                                 ElasticsearchAnalysisDefinitionRegistry parent)

  - ### Method Detail

    - #### getAnalyzerDefinition

          public AnalyzerDefinition getAnalyzerDefinition(String name)

      Specified by:
        `getAnalyzerDefinition` in interface `ElasticsearchAnalysisDefinitionRegistry`
      Overrides:
        `getAnalyzerDefinition` in class `ForwardingElasticsearchAnalysisDefinitionRegistry`
      Parameters:
        `name` - An analyzer name
      Returns:
        The analyzer definition associated with the given name, or `null` if there isn't any.

    - #### getNormalizerDefinition

          public NormalizerDefinition getNormalizerDefinition(String name)

      Specified by:
        `getNormalizerDefinition` in interface `ElasticsearchAnalysisDefinitionRegistry`
      Overrides:
        `getNormalizerDefinition` in class `ForwardingElasticsearchAnalysisDefinitionRegistry`
      Parameters:
        `name` - A normalizer name
      Returns:
        The normalizer definition associated with the given name, or `null` if there isn't any.

    - #### getTokenizerDefinition

          public TokenizerDefinition getTokenizerDefinition(String name)

      Specified by:
        `getTokenizerDefinition` in interface `ElasticsearchAnalysisDefinitionRegistry`
      Overrides:
        `getTokenizerDefinition` in class `ForwardingElasticsearchAnalysisDefinitionRegistry`
      Parameters:
        `name` - A tokenizer name
      Returns:
        The tokenizer definition associated with the given name, or `null` if there isn't any.

    - #### getTokenFilterDefinition

          public TokenFilterDefinition getTokenFilterDefinition(String name)

      Specified by:
        `getTokenFilterDefinition` in interface `ElasticsearchAnalysisDefinitionRegistry`
      Overrides:
        `getTokenFilterDefinition` in class `ForwardingElasticsearchAnalysisDefinitionRegistry`
      Parameters:
        `name` - A token filter name
      Returns:
        The token filter definition associated with the given name, or `null` if there isn't any.

    - #### getCharFilterDefinition

          public CharFilterDefinition getCharFilterDefinition(String name)

      Specified by:
        `getCharFilterDefinition` in interface `ElasticsearchAnalysisDefinitionRegistry`
      Overrides:
        `getCharFilterDefinition` in class `ForwardingElasticsearchAnalysisDefinitionRegistry`
      Parameters:
        `name` - A char filter name
      Returns:
        The char filter definition associated with the given name, or `null` if there isn't any.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved